\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{arxiv}[2023/02/01 v1.0 CLeaR 2023 Proceedings]
\newcommand{\todo}{\color{red}}

\@ifundefined{ifanonsubmission}{
  \newif\ifanonsubmission
  \anonsubmissionfalse
}{}

\@ifundefined{iffinalsubmission}{
  \newif\iffinalsubmission
  \finalsubmissionfalse
}{}

\DeclareOption{anon}{\anonsubmissiontrue}
\DeclareOption{final}{\finalsubmissiontrue}
\ProcessOptions\relax

\LoadClass[pmlr]{jmlr}

\jmlrvolume{~}
\jmlryear{~}
%\jmlrproceedings{PMLR}{Proceedings of Machine Learning Research}
\jmlrproceedings{PMLR}{~}

\ifanonsubmission
 \newcommand{\clearauthor}[1]{}
 \author{Author names withheld}
% \jmlrworkshop{2nd Conference on Causal Learning and Reasoning}
  \jmlrworkshop{}
 \renewcommand{\acks}[1]{}
\else
 \newcommand{\clearauthor}[1]{\author{#1}}
 \iffinalsubmission
%   \editors{Mihaela van der Shaar, Dominik Janzing and Cheng Zhang}
%   \jmlrworkshop{2nd Conference on Causal Learning and Reasoning}
 \fi
\fi



